﻿
using System;
using System.Drawing;
using Wisej.Web;
using Wisej.Web.Ext.DataGridViewSummaryRow;

namespace WisejDGVKeepRowAtBottom
{
	public partial class Page1 : Page
	{
		public Page1()
		{
			InitializeComponent();
		}

		private void Page1_Load(object sender, EventArgs e)
		{
			var grid = this.dataGridView1;
			grid.RowCount = 10;
			for (var i = 0; i < grid.RowCount; i++)
			{
				grid[0, i].Value = i * 2;
				grid[1, i].Value = i * 764;
				grid[2, i].Value = i * -500;
				grid[3, i].Value = i * 200 / 4;
			}
		}

		private void button1_Click(object sender, EventArgs e)
		{
			var grid = this.dataGridView1;
			var style = new DataGridViewCellStyle() {
				BackColor = Color.Yellow,
				Font = new Font(grid.Font, FontStyle.Bold)
			};

			for (var i = 0; i < grid.ColumnCount; i++)
			{
				grid.AddSummaryRows(SummaryType.Sum, SummaryRowPosition.Below, null, null, grid.Columns[i], style);
			}
		}

		private void dataGridView1_SortCompare(object sender, DataGridViewSortCompareEventArgs e)
		{
			var grid = (DataGridView)sender;
			var order = grid.SortOrder == SortOrder.Descending ? -1 : 1;
			if (grid.Rows[e.RowIndex1] is DataGridViewSummaryRow)
			{
				e.Handled = true;
				e.SortResult = order;
			}
			if (grid.Rows[e.RowIndex2] is DataGridViewSummaryRow)
			{
				e.Handled = true;
				e.SortResult = -order;
			}
		}
	}
}
